[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarIsBool

Check if the variant is a boolean

## Declaration

Source position: variants.pp line 84

`function VarIsBool(`
`const V: Variant`
`):Boolean;`

## Arguments

`V` |  | Variant to test

## Function result

True if the value V is of type Boolean

## Description

VarIsCustom returns True if the variant V is a boolean value.

## See also

VarIsEmpty |  | Check if the variant is empty
VarIsNull |  | Check if a variant is null
VarIsCustom |  | Check if the variant is a custom value.
VarIsOrdinal |  | Check if the variant is an ordinal value.
VarIsFloat |  | Check if the variant is a floating-point value.
VarIsStr |  | Check if the variant is a string